std::constructible_from(3)

NAME
std::constructible_from - std::constructible_from

Synopsis
   Defined in header <concepts>
   template < class T, class... Args >
   concept constructible_from = (since C++20)
   std::destructible<T> && std::is_constructible_v<T, Args...>;
   The constructible_from concept specifies that a variable of type T can be
   initialized with the given set of argument types Args....

See also
   is_constructible
   is_trivially_constructible
   is_nothrow_constructible checks if a type has a constructor for specific arguments
   (C++11) (class template)
   (C++11)
   (C++11)